<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});


Route::group(['namespace' => 'Api', 'prefix' => 'v1', 'middleware' => ['auth']], function () {

    # 用户模块
    Route::post('users', 'Client\UsersController@store');

    Route::get('media_catg', 'Client\MediaCategoryController@index');
    Route::get('generate_media_id', 'Client\MediaController@index');
    Route::get('upload_token', 'Client\MediaController@getUploadMediaToken');
    Route::post('hook_restore', 'Client\MediaController@hookRestoreMedia');
    Route::post('update_media/{id}', 'Client\MediaController@updatehookMedia');
    Route::get('media_list', 'Client\MediaController@mediaList');


});





Route::group(['namespace' => 'Api', 'prefix' => 'user','middleware' => ['api']], function () {
    Route::post("media_list","MediaController@media_list");
    Route::get("play_url/{id}","MediaController@play_url");

    Route::get("media_list_once","MediaController@mediaListOnce");
    Route::post('hook_restore', 'MediaController@hookRestoreMedia');

    Route::post('update_status/{id}', 'MediaController@updateMediaStatus');
    Route::get('update_datetime', 'MediaController@updateDatetime');

    Route::get("get_media_by_num",'MediaController@getMediaInfoByNum');
    Route::get("get_fervor_m3u8",'MediaController@getMediaForeverM3u8');



    //Route::get("media_url_change","MediaController@handleMediaUrl");

});